/**
 * Фабрика нодов дерева
 */
var Node_Factory = {

    /**
     * По полученному с сервера XML возвращает созданный нод соответствующего типа
     * 
     * @param XML Dom Element
     * @return Element_Abstract 
     */
    get: function(element)
    {
        var sType = element.getAttribute('type');
        
        switch( sType )
        {
            case "tree":
                var     params = {
                    typeId: element.getAttribute('typeid'),
                    nodeId: element.getAttribute('objid'),
                    mode: element.getAttribute('mode')
                };
                return new Tree_Node(element, params);
            break;
            
            case "title":
                return new Title_Node(element);
            break;
            case "text":
                return new Text_Node(element);
            break;
            case "list":
                return new List_Node(element);
            break;
            case "test":
            	return new Test_Node(element);
            break;
            default: 
                return new Text_Node(element);
        }
        

    }

};